package com.hncy.common.exception.custom;

/**
 * @Author: ying.dong
 * @Date: 2021/4/19 16:24
 */
public class LocalBusinessException extends BusinessException implements Localizable {

    private static final long serialVersionUID = 4815319569073257711L;

    public LocalBusinessException(int code) {
        super();
        setCode(code);
    }

    @Override
    public String getMessage() {
        String msg = getLocalizedMessage();
        if (msg == null || msg.length() == 0) {
            return super.getMessage();
        }
        return msg;
    }

    @Override
    public String getLocalizedMessage() {
        return localize(getCode());
    }
}
