package com.hncy.demo.message.listener;

import com.hncy.demo.message.dto.DemoMessage;
import com.hncy.demo.message.matadata.DemoMessageMetadata;
import com.hncy.message.spring.boot.starter.consumer.DynamicMessageListener;
import com.hncy.message.spring.boot.starter.consumer.SimpleDynamicMessageListener;
import com.hncy.message.spring.boot.starter.metadata.MessageMetadata;
import com.hncy.message.spring.boot.starter.metadata.resolver.MessageMetadataResolver;
import com.rabbitmq.client.Channel;
import org.springframework.amqp.core.Message;

import java.util.List;

/**
 * @Author: ying.dong
 * @Date: 2021/6/3 16:41
 */
public abstract class DemoMessageListener extends SimpleDynamicMessageListener<DemoMessage> {

    public DemoMessageListener(MessageMetadataResolver messageMetadataResolver) {
        super(new DemoMessageMetadata(), messageMetadataResolver);
    }
}
