package com.hncy.service.platform.manage.api.vo;

import com.hncy.common.dto.BaseEntityVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author xuy
 * @date 09/06/2021.
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LoginLogReqVo extends BaseEntityVo {

    private static final long serialVersionUID = -1783975126020200808L;

    @ApiModelProperty(value = "登录账号")
    private String account;

    @ApiModelProperty(value = "登录时间")
    private Long time;

    @ApiModelProperty(value = "登录IP")
    private String ip;

    @ApiModelProperty(value = "登录人身份")
    private String identity;

    @ApiModelProperty(value = "登录人姓名")
    private String name;

    @ApiModelProperty(value = "登录人ID")
    private String userId;

}
