package com.hncy.demo.consumer;

import com.hncy.demo.constant.DemoServiceConstant;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;

/**
 * @Author: ying.dong
 * @Date: 2021/4/14 18:00
 */
@EnableFeignClients(basePackages = DemoServiceConstant.FEIGN_BASE_PACKAGE)
@SpringBootApplication
public class DemoConsumerApplication {

    public static void main(String[] args) {
        SpringApplication.run(DemoConsumerApplication.class, args);
    }
}
