package com.hncy.demo.message.listener;

import com.hncy.demo.message.dto.DemoMessage;
import com.hncy.demo.message.matadata.BatchDemoMessageMetadata;
import com.hncy.message.spring.boot.starter.consumer.BatchDynamicMessageListener;
import com.hncy.message.spring.boot.starter.metadata.resolver.MessageMetadataResolver;

/**
 * @Author: ying.dong
 * @Date: 2021/6/3 18:22
 */
public abstract class BatchDemoMessageListener extends BatchDynamicMessageListener<DemoMessage> {

    public BatchDemoMessageListener(MessageMetadataResolver messageMetadataResolver) {
        super(new BatchDemoMessageMetadata(), messageMetadataResolver);
    }
}
